GNU bug report logs - #8027
23.2; shell problem with $( and !!

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: relson@osage; merged with #1795, #5007; dated Sun, 13 Feb 2011 01:29:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 8027 <at> debbugs.gnu.org:


Received: (at 8027) by debbugs.gnu.org; 15 Feb 2012 08:03:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 15 03:03:03 2012
Received: from localhost ([127.0.0.1]:40955 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RxZpO-0005IP-N5
	for submit <at> debbugs.gnu.org; Wed, 15 Feb 2012 03:03:03 -0500
Received: from fencepost.gnu.org ([140.186.70.10]:44332 ident=Debian-exim)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1RxZpL-0005I0-7A
	for 8027 <at> debbugs.gnu.org; Wed, 15 Feb 2012 03:03:00 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1RxZnh-0001lF-NP; Wed, 15 Feb 2012 03:01:17 -0500
From: Glenn Morris <rgm@HIDDEN>
To: 8027 <at> debbugs.gnu.org
Subject: Re: bug#8027: Default value for shell-delimiter-argument-list
References: <87d3mwwwgv.fsf@HIDDEN>
	<v21uvpsf8z.fsf@HIDDEN> <jqwrdhr0l2.fsf@HIDDEN>
X-Spook: Project Monarch Islam Abduganievich Karimov White House
X-Ran: GVPAx!K57(xNeR$bF8zG^e'AV]CiQf:!cWqSEZ5hE<SoBZ"=sDq81cn2szRMCPb)a=DjGz
X-Hue: yellow
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 15 Feb 2012 03:01:17 -0500
In-Reply-To: <jqwrdhr0l2.fsf@HIDDEN> (Glenn Morris's message of
	"Fri, 09 Sep 2011 15:13:13 -0400")
Message-ID: <qofwecikz6.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 8027
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

Glenn Morris wrote:

> I have reopened this in light of the message I forwarded from
> emacs-devel. Probably this change should be reverted and re-done another
> way.

I reverted it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#8027; Package emacs. Full text available.

Message received at 8027 <at> debbugs.gnu.org:


Received: (at 8027) by debbugs.gnu.org; 9 Sep 2011 19:17:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 09 15:17:21 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R26Zl-0006N7-59
	for submit <at> debbugs.gnu.org; Fri, 09 Sep 2011 15:17:21 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1R26Zj-0006N0-9C
	for 8027 <at> debbugs.gnu.org; Fri, 09 Sep 2011 15:17:19 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1R26Vl-0006jX-A6; Fri, 09 Sep 2011 15:13:13 -0400
From: Glenn Morris <rgm@HIDDEN>
To: 8027 <at> debbugs.gnu.org
Subject: Re: bug#8027: Default value for shell-delimiter-argument-list
References: <87d3mwwwgv.fsf@HIDDEN>
	<v21uvpsf8z.fsf@HIDDEN>
X-Spook: Ermes assassination Al-Qaeda SAFE Steve Case dictionary
X-Ran: Vqk_hVbM}ml/<*m]iG~yk.%Y@'B>Q([c6z3}HMgOO5kPy]={Lhn]sc3cjTLt]|sNq!~wiO
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 09 Sep 2011 15:13:13 -0400
In-Reply-To: <v21uvpsf8z.fsf@HIDDEN> (Jose E. Marchesi's message of
	"Mon, 13 Jun 2011 03:34:43 +0200")
Message-ID: <jqwrdhr0l2.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 8027
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.4 (------)


I have reopened this in light of the message I forwarded from
emacs-devel. Probably this change should be reverted and re-done another
way.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8027; Package emacs. Full text available.

Message received at 8027 <at> debbugs.gnu.org:


Received: (at 8027) by debbugs.gnu.org; 9 Sep 2011 19:15:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 09 15:15:18 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R26Xl-00063A-Kj
	for submit <at> debbugs.gnu.org; Fri, 09 Sep 2011 15:15:17 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1R26Xj-00060Q-BP
	for 8027 <at> debbugs.gnu.org; Fri, 09 Sep 2011 15:15:16 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>) id 1R26Tl-0006A3-0Q
	for 8027 <at> debbugs.gnu.org; Fri, 09 Sep 2011 15:11:09 -0400
From: jemarch@HIDDEN (Jose E. Marchesi)
To: 8027 <at> debbugs.gnu.org
Subject: Default value for shell-delimiter-argument-list
Date: Mon, 13 Jun 2011 03:34:43 +0200
Lines: 26
X-Face: &.8`471"Bqook@QSz?twj+X,
	HN7JU%.xw8{mf=i3iGiUu`XvwAX%}*qo[_B$<{lW5qWehjq
	\ESjspv]gCax}/kkJV.@kR])`dPg{i_B\vWC'
X-From-Line: emacs-devel-bounces+rgm=gnu.org@HIDDEN Sun Jun 12 21:43:14 2011
Received: from eggs.gnu.org ([140.186.70.92]:42354)
	by fencepost.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
	(Exim 4.71) (envelope-from <emacs-devel-bounces+rgm=gnu.org@HIDDEN>)
	id 1QVwBO-0001x4-Kg for rgm@HIDDEN; Sun, 12 Jun 2011 21:43:14 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <emacs-devel-bounces+rgm=gnu.org@HIDDEN>)
	id 1QVwBN-00066M-3J for rgm@HIDDEN; Sun, 12 Jun 2011 21:43:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00,
	T_RP_MATCHES_RCVD autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:34198)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <emacs-devel-bounces+rgm=gnu.org@HIDDEN>)
	id 1QVwBM-00066I-Nq for rgm@HIDDEN; Sun, 12 Jun 2011 21:43:12 -0400
Received: from localhost ([::1]:50412 helo=lists.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <emacs-devel-bounces+rgm=gnu.org@HIDDEN>)
	id 1QVwBM-00042n-1N for rgm@HIDDEN; Sun, 12 Jun 2011 21:43:12 -0400
Received: from eggs.gnu.org ([140.186.70.92]:58707)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jemarch@HIDDEN>) id 1QVw8j-00042I-B4
	for emacs-devel@HIDDEN; Sun, 12 Jun 2011 21:40:30 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jemarch@HIDDEN>) id 1QVw8h-0005iZ-J7
	for emacs-devel@HIDDEN; Sun, 12 Jun 2011 21:40:29 -0400
Received: from fencepost.gnu.org ([140.186.70.10]:36170)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jemarch@HIDDEN>) id 1QVw8h-0005iV-9V
	for emacs-devel@HIDDEN; Sun, 12 Jun 2011 21:40:27 -0400
Received: from f051225124.adsl.alicedsl.de ([78.51.225.124]:36265
	helo=termi.gnu.org) by fencepost.gnu.org with esmtpa (Exim 4.71)
	(envelope-from <jemarch@HIDDEN>) id 1QVw8g-0001mN-Sk
	for emacs-devel@HIDDEN; Sun, 12 Jun 2011 21:40:27 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-BeenThere: emacs-devel@HIDDEN
X-Mailman-Version: 2.1.14
Precedence: list
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Debbugs-No-Ack: yes
Message-ID: <v21uvpsf8z.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: 8027
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)


[ resent from 
http://lists.gnu.org/archive/html/emacs-devel/2011-06/msg00392.html ]

Hi.

Today I tried to cd into a directory named "Introduction & motivation/"
while in shell-mode, by typing I and then TAB.  To my surprise the
resulting expanded and quoted name was "Introduction\\ &\\ motivation"
instead of "Inroduction\\ \\&\\ motivation".

Unfortunately I only realized what was going on after hitting RET and
having bash trying to execute the command "motivation".

Seems that the default value of shell-delimiter-argument-list was
changed to nil as a way to fix bug #8027 [1].  As a consequence the
expanded filenames in shell-mode are not safe to be included in a
command line.

Is that a definitive fix or just a workaround until a better solution is
found for the problem with the !! completion?

[1] http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8027

-- 
Jose E. Marchesi    jemarch@HIDDEN
GNU Project         http://www.gnu.org




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8027; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug No longer marked as fixed in versions 24.1. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug unarchived. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 8027-done <at> debbugs.gnu.org:


Received: (at 8027-done) by debbugs.gnu.org; 17 Feb 2011 04:55:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 16 23:55:00 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PpvtM-00080c-6o
	for submit <at> debbugs.gnu.org; Wed, 16 Feb 2011 23:55:00 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1PpvtK-00080Q-Dd
	for 8027-done <at> debbugs.gnu.org; Wed, 16 Feb 2011 23:54:59 -0500
Received: from localhost ([127.0.0.1]:41069)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Ppw25-0002SM-J8; Thu, 17 Feb 2011 00:04:01 -0500
From: Glenn Morris <rgm@HIDDEN>
To: 8027-done <at> debbugs.gnu.org
Subject: Re: bug#8027: 23.2; shell problem with $( and !!
References: <20110214231338.7a1a771c@HIDDEN>
	<20110215073140.2b4f075c@HIDDEN>
	<19802.51716.698530.539068@HIDDEN>
X-Spook: Dateline Saudi Arabia Lon Horiuchi LLNL chameleon man CDC
X-Ran: WPjiED0_W}.=]<tylEk02l'6\^)|hsh,9/^7r2OW\v2L/Y/N6Lzegg?DUa1bM7#%C-5-i4
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 17 Feb 2011 00:04:01 -0500
In-Reply-To: <19802.51716.698530.539068@HIDDEN> (Glenn Morris's
	message of "Tue, 15 Feb 2011 13:46:28 -0500")
Message-ID: <nl1v375k1q.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.7 (----)
X-Debbugs-Envelope-To: 8027-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.7 (----)

Version: 24.1

As a test, I have set shell-delimiter-argument-list to nil in the Emacs
trunk. It fixes this issue, but may cause other issues.

If it does, maybe add something like shell-delimiter-no-break-re (cf
f90.el) that specifies a list of tokens containing delimiter characters
that are NOT to be broken.




Notification sent to Mark Diekhans <markd@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Glenn Morris <rgm@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 8027-done <at> debbugs.gnu.org:


Received: (at 8027-done) by debbugs.gnu.org; 17 Feb 2011 04:55:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 16 23:55:00 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PpvtM-00080c-6o
	for submit <at> debbugs.gnu.org; Wed, 16 Feb 2011 23:55:00 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1PpvtK-00080Q-Dd
	for 8027-done <at> debbugs.gnu.org; Wed, 16 Feb 2011 23:54:59 -0500
Received: from localhost ([127.0.0.1]:41069)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Ppw25-0002SM-J8; Thu, 17 Feb 2011 00:04:01 -0500
From: Glenn Morris <rgm@HIDDEN>
To: 8027-done <at> debbugs.gnu.org
Subject: Re: bug#8027: 23.2; shell problem with $( and !!
References: <20110214231338.7a1a771c@HIDDEN>
	<20110215073140.2b4f075c@HIDDEN>
	<19802.51716.698530.539068@HIDDEN>
X-Spook: Dateline Saudi Arabia Lon Horiuchi LLNL chameleon man CDC
X-Ran: WPjiED0_W}.=]<tylEk02l'6\^)|hsh,9/^7r2OW\v2L/Y/N6Lzegg?DUa1bM7#%C-5-i4
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 17 Feb 2011 00:04:01 -0500
In-Reply-To: <19802.51716.698530.539068@HIDDEN> (Glenn Morris's
	message of "Tue, 15 Feb 2011 13:46:28 -0500")
Message-ID: <nl1v375k1q.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.7 (----)
X-Debbugs-Envelope-To: 8027-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.7 (----)

Version: 24.1

As a test, I have set shell-delimiter-argument-list to nil in the Emacs
trunk. It fixes this issue, but may cause other issues.

If it does, maybe add something like shell-delimiter-no-break-re (cf
f90.el) that specifies a list of tokens containing delimiter characters
that are NOT to be broken.




Notification sent to relson@osage:
bug acknowledged by developer. Full text available.
Reply sent to Glenn Morris <rgm@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 8027-done <at> debbugs.gnu.org:


Received: (at 8027-done) by debbugs.gnu.org; 17 Feb 2011 04:55:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 16 23:55:00 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PpvtM-00080c-6o
	for submit <at> debbugs.gnu.org; Wed, 16 Feb 2011 23:55:00 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1PpvtK-00080Q-Dd
	for 8027-done <at> debbugs.gnu.org; Wed, 16 Feb 2011 23:54:59 -0500
Received: from localhost ([127.0.0.1]:41069)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Ppw25-0002SM-J8; Thu, 17 Feb 2011 00:04:01 -0500
From: Glenn Morris <rgm@HIDDEN>
To: 8027-done <at> debbugs.gnu.org
Subject: Re: bug#8027: 23.2; shell problem with $( and !!
References: <20110214231338.7a1a771c@HIDDEN>
	<20110215073140.2b4f075c@HIDDEN>
	<19802.51716.698530.539068@HIDDEN>
X-Spook: Dateline Saudi Arabia Lon Horiuchi LLNL chameleon man CDC
X-Ran: WPjiED0_W}.=]<tylEk02l'6\^)|hsh,9/^7r2OW\v2L/Y/N6Lzegg?DUa1bM7#%C-5-i4
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Thu, 17 Feb 2011 00:04:01 -0500
In-Reply-To: <19802.51716.698530.539068@HIDDEN> (Glenn Morris's
	message of "Tue, 15 Feb 2011 13:46:28 -0500")
Message-ID: <nl1v375k1q.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.7 (----)
X-Debbugs-Envelope-To: 8027-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.7 (----)

Version: 24.1

As a test, I have set shell-delimiter-argument-list to nil in the Emacs
trunk. It fixes this issue, but may cause other issues.

If it does, maybe add something like shell-delimiter-no-break-re (cf
f90.el) that specifies a list of tokens containing delimiter characters
that are NOT to be broken.




Notification sent to relson@osage:
bug acknowledged by developer. Full text available.
Reply sent to Glenn Morris <rgm@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 8027 <at> debbugs.gnu.org:


Received: (at 8027) by debbugs.gnu.org; 15 Feb 2011 18:37:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 15 13:37:31 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PpPmF-0001tI-3K
	for submit <at> debbugs.gnu.org; Tue, 15 Feb 2011 13:37:31 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1PpPmC-0001t4-Nx
	for 8027 <at> debbugs.gnu.org; Tue, 15 Feb 2011 13:37:29 -0500
Received: from localhost ([127.0.0.1]:56937)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1PpPuv-00079w-5h; Tue, 15 Feb 2011 13:46:29 -0500
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <19802.51716.698530.539068@HIDDEN>
Date: Tue, 15 Feb 2011 13:46:28 -0500
From: Glenn Morris <rgm@HIDDEN>
To: David Relson <relson@HIDDEN>
Subject: Re: bug#8027: 23.2; shell problem with $( and !!
In-Reply-To: <20110215073140.2b4f075c@HIDDEN>
References: <20110214231338.7a1a771c@HIDDEN>
	<20110215073140.2b4f075c@HIDDEN>
X-Attribution: GM
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 8027
Cc: 8027 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)


Please keep the debbugs.gnu.org address cc'd on replies.

David Relson wrote (on Tue, 15 Feb 2011 at 07:31 -0500):

> Adding the following lines to .emacs is working well (with no adverse
> effects noticed yet)
> 
>   (defvar shell-delimiter-argument-list)
>   (setq shell-delimiter-argument-list nil)
> 
> I'll propagate the addition to my various platforms (gentoo, centos,
> ubuntu, solaris, and cygwin) and see what happens :->
> 
> Thanks!
> 
> David




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8027; Package emacs. Full text available.

Message received at 8027 <at> debbugs.gnu.org:


Received: (at 8027) by debbugs.gnu.org; 15 Feb 2011 01:33:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 14 20:33:42 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Pp9nS-0001OT-LK
	for submit <at> debbugs.gnu.org; Mon, 14 Feb 2011 20:33:42 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1Pp9nQ-0001OC-5G
	for 8027 <at> debbugs.gnu.org; Mon, 14 Feb 2011 20:33:40 -0500
Received: from localhost ([127.0.0.1]:36775)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Pp9w6-0007oK-LE; Mon, 14 Feb 2011 20:42:38 -0500
From: Glenn Morris <rgm@HIDDEN>
To: David Relson <relson@HIDDEN>
Subject: Re: bug#8027: 23.2; shell problem with $( and !!
References: <87d3mwwwgv.fsf@HIDDEN>
	<tn4o88smfv.fsf@HIDDEN>
	<19799.16596.52772.842737@HIDDEN>
	<20110212232144.26c073ed@HIDDEN>
	<xoc6fzoyc.fsf@HIDDEN>
X-Spook: PLO embassy Craig Livingstone Fortezza Montenegro
X-Ran: 1p(?UbZ6^zSUE'M4zk7auyU%0/n5W$Aa=@YBF!M0%?#)n^DMo6nws1||^up<,p<1,T|0F3
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Mon, 14 Feb 2011 20:42:38 -0500
In-Reply-To: <xoc6fzoyc.fsf@HIDDEN> (Glenn Morris's message of
	"Sun, 13 Feb 2011 14:58:35 -0500")
Message-ID: <17hd2dqep.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 8027
Cc: 8027 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)


Try setting shell-delimiter-argument-list to nil.
(Though I don't know if this will have any other adverse affects.)




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8027; Package emacs. Full text available.

Message received at 8027 <at> debbugs.gnu.org:


Received: (at 8027) by debbugs.gnu.org; 13 Feb 2011 19:49:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 13 14:49:43 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Pohx1-0003x3-Lv
	for submit <at> debbugs.gnu.org; Sun, 13 Feb 2011 14:49:43 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1Pohwz-0003wr-Jl
	for 8027 <at> debbugs.gnu.org; Sun, 13 Feb 2011 14:49:42 -0500
Received: from localhost ([127.0.0.1]:58320)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Poi5b-0007MD-RH; Sun, 13 Feb 2011 14:58:35 -0500
From: Glenn Morris <rgm@HIDDEN>
To: David Relson <relson@HIDDEN>
Subject: Re: bug#8027: 23.2; shell problem with $( and !!
References: <87d3mwwwgv.fsf@HIDDEN>
	<tn4o88smfv.fsf@HIDDEN>
	<19799.16596.52772.842737@HIDDEN>
	<20110212232144.26c073ed@HIDDEN>
X-Spook: AGT. AMME event security 64 Vauxhall Cross Lon Horiuchi
X-Ran: LN8)D}W{q59mfNA}PKb1_`I<E:@,rlb#9{"$<wA"eEC-,Ld#{x,_a.liJY_&`Z!D[{<04"
X-Hue: blue
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Sun, 13 Feb 2011 14:58:35 -0500
In-Reply-To: <20110212232144.26c073ed@HIDDEN> (David Relson's
	message of "Sat, 12 Feb 2011 23:21:44 -0500")
Message-ID: <xoc6fzoyc.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 8027
Cc: 8027 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)

David Relson wrote:

> Evidently emacs' bug reporting system picked up my machine name
> from /etc/hosts, which I didn't realize, rather than my email address.
> How do I tell emacs my email address so that bug reports will be
> correct (without needing manual fixing)?

I think you can set user-mail-address.

Perhaps report-emacs-bug should be improved in this regard.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8027; Package emacs. Full text available.

Message received at 8027 <at> debbugs.gnu.org:


Received: (at 8027) by debbugs.gnu.org; 13 Feb 2011 08:33:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 13 03:33:21 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PoXOS-0003oC-Mc
	for submit <at> debbugs.gnu.org; Sun, 13 Feb 2011 03:33:21 -0500
Received: from osagesoftware.com ([216.144.204.42] helo=mail.osagesoftware.com)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <relson@HIDDEN>) id 1PoTKN-0006cO-52
	for 8027 <at> debbugs.gnu.org; Sat, 12 Feb 2011 23:12:51 -0500
Received: from osage.osagesoftware.com (osage.osagesoftware.com [192.168.1.10])
	by mail.osagesoftware.com (Postfix) with ESMTP id 5E3507BC9A;
	Sun, 13 Feb 2011 04:21:44 +0000 (UTC)
Date: Sat, 12 Feb 2011 23:21:44 -0500
From: David Relson <relson@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#8027: 23.2; shell problem with $( and !!
Message-ID: <20110212232144.26c073ed@HIDDEN>
In-Reply-To: <19799.16596.52772.842737@HIDDEN>
References: <87d3mwwwgv.fsf@HIDDEN>
	<tn4o88smfv.fsf@HIDDEN>
	<19799.16596.52772.842737@HIDDEN>
Organization: Osage Software Systems, Inc.
X-Mailer: Claws Mail 3.7.8 (GTK+ 2.20.1; x86_64-pc-linux-gnu)
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 8027
X-Mailman-Approved-At: Sun, 13 Feb 2011 03:33:19 -0500
Cc: 8027 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

On Sat, 12 Feb 2011 21:24:20 -0500
Glenn Morris wrote:

> 
> Please use a valid email address when reporting bugs.
> 
> Glenn Morris wrote (on Sat, 12 Feb 2011 at 21:22 -0500):
> 
> > Dupe of 1795 and 5007.

Hi Glen,

Sorry about that, and I thank you for writing.  I had wondered why
there wasn't an autoresponse to the bug report. 

Evidently emacs' bug reporting system picked up my machine name
from /etc/hosts, which I didn't realize, rather than my email address.
How do I tell emacs my email address so that bug reports will be
correct (without needing manual fixing)?

FWIW, the fix for 1795 is defective.  It fixes the changing of "$(" to
"$ (" when "!!<tab>" is used.  However, when "!$<tab>" is used to get
the last argument, the 1795 fix duplicates the whole previous line.

It's my belief that "!$<tab>" and "!$<enter>" should behave the same,
but they don't and it's frustrating.

 David




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8027; Package emacs. Full text available.

Message received at 8027 <at> debbugs.gnu.org:


Received: (at 8027) by debbugs.gnu.org; 13 Feb 2011 02:15:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 12 21:15:29 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PoRUn-00046I-Lq
	for submit <at> debbugs.gnu.org; Sat, 12 Feb 2011 21:15:29 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1PoRUm-000467-0P
	for 8027 <at> debbugs.gnu.org; Sat, 12 Feb 2011 21:15:28 -0500
Received: from localhost ([127.0.0.1]:42779)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1PoRdM-0007rg-Ad; Sat, 12 Feb 2011 21:24:20 -0500
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <19799.16596.52772.842737@HIDDEN>
Date: Sat, 12 Feb 2011 21:24:20 -0500
From: Glenn Morris <rgm@HIDDEN>
To: relson@HIDDEN
Subject: Re: bug#8027: 23.2; shell problem with $( and !!
In-Reply-To: <tn4o88smfv.fsf@HIDDEN>
References: <87d3mwwwgv.fsf@HIDDEN>
	<tn4o88smfv.fsf@HIDDEN>
X-Attribution: GM
X-Mailer: VM (www.wonderworks.com/vm), GNU Emacs (www.gnu.org/software/emacs)
X-Hue: yellow
X-Ran: WF%jN.4:'`a"PU<D|Hi-|I+]0tSSt{(&+'`-Np9il:VEv\`$1_>QAFp$o},qd"2205\;*Y
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 8027
Cc: 8027 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)


Please use a valid email address when reporting bugs.

Glenn Morris wrote (on Sat, 12 Feb 2011 at 21:22 -0500):

> Dupe of 1795 and 5007.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8027; Package emacs. Full text available.

Message received at 8027 <at> debbugs.gnu.org:


Received: (at 8027) by debbugs.gnu.org; 13 Feb 2011 02:13:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 12 21:13:37 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PoRSz-00043N-6C
	for submit <at> debbugs.gnu.org; Sat, 12 Feb 2011 21:13:37 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1PoRSx-00043B-4k
	for 8027 <at> debbugs.gnu.org; Sat, 12 Feb 2011 21:13:35 -0500
Received: from localhost ([127.0.0.1]:42754)
	by fencepost.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1PoRbY-0007fR-LT; Sat, 12 Feb 2011 21:22:28 -0500
From: Glenn Morris <rgm@HIDDEN>
To: relson@osage
Subject: Re: bug#8027: 23.2; shell problem with $( and !!
References: <87d3mwwwgv.fsf@HIDDEN>
X-Spook: Medco munitions Delta Force Dick Cheney arrangements 9705
X-Ran: ;"}u]^=@#a?4#?TdyuYm-WU1Us|Kg?P,jEn[`E,mGVjFknhh{wAff8aUhN/&Y8nt.VAPIz
X-Hue: yellow
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Sat, 12 Feb 2011 21:22:28 -0500
In-Reply-To: <87d3mwwwgv.fsf@HIDDEN> (relson@osage's message
	of "Sat, 12 Feb 2011 20:32:16 -0500")
Message-ID: <tn4o88smfv.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.7 (-----)
X-Debbugs-Envelope-To: 8027
Cc: 8027 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.7 (-----)


Dupe of 1795 and 5007.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8027; Package emacs. Full text available.
Merged 1795 5007 8027. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Feb 2011 01:28:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 12 20:28:02 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1PoQkr-0002GT-Bc
	for submit <at> debbugs.gnu.org; Sat, 12 Feb 2011 20:28:01 -0500
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <relson@HIDDEN>) id 1PoQgV-0002AI-H8
	for submit <at> debbugs.gnu.org; Sat, 12 Feb 2011 20:23:32 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <relson@HIDDEN>) id 1PoQp6-000105-0O
	for submit <at> debbugs.gnu.org; Sat, 12 Feb 2011 20:32:25 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.8 required=5.0 tests=BAYES_00,FH_FROMEML_NOTLD,
	T_RP_MATCHES_RCVD autolearn=no version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:41255)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <relson@HIDDEN>) id 1PoQp5-000101-Iz
	for submit <at> debbugs.gnu.org; Sat, 12 Feb 2011 20:32:23 -0500
Received: from [140.186.70.92] (port=47001 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1PoQp4-0007ms-KX
	for bug-gnu-emacs@HIDDEN; Sat, 12 Feb 2011 20:32:23 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <relson@HIDDEN>) id 1PoQp3-0000zn-0E
	for bug-gnu-emacs@HIDDEN; Sat, 12 Feb 2011 20:32:22 -0500
Received: from osagesoftware.com ([216.144.204.42]:33399
	helo=mail.osagesoftware.com) by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <relson@HIDDEN>) id 1PoQp2-0000zZ-Gd
	for bug-gnu-emacs@HIDDEN; Sat, 12 Feb 2011 20:32:20 -0500
Received: from osage (osage.osagesoftware.com [192.168.1.10])
	by mail.osagesoftware.com (Postfix) with SMTP id 7483B7BC8F
	for <bug-gnu-emacs@HIDDEN>; Sun, 13 Feb 2011 01:32:16 +0000 (UTC)
Received: by osage (sSMTP sendmail emulation); Sat, 12 Feb 2011 20:32:16 -0500
From: relson@osage
To: bug-gnu-emacs@HIDDEN
Subject: 23.2; shell problem with $( and !!
Date: Sat, 12 Feb 2011 20:32:16 -0500
Message-ID: <87d3mwwwgv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 1)
X-Received-From: 216.144.204.42
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Received-From: 199.232.76.165
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 12 Feb 2011 20:28:00 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.2 (---)

In a shell window using "!!<tab>" when the previous command uses "$(
... )" improperaly adds a space between the "$" and the "(".

Starting with a directory containg a file named "test", here's how to demonstrate the problem:

1) In a shell window I can execute "find . -name test" and it'll find the 1
file that's truly in the current directory.

2) I can then execute 'ls -l !!<tab>' and the expansion will be "ls -l
`find . -name  test`" which is correct.

3) I can also execute 'ls -l $( find . -name test)` and the test file will
be correctly listed.

4) However, if I then type 'ls -l !!<tab>' the "$(" becomes "$ (" (with
a space in the middle), and the command fails.  


In GNU Emacs 23.2.1 (x86_64-pc-linux-gnu, GTK+ Version 2.20.1)
 of 2011-01-31 on osage
Windowing system distributor `The X.Org Foundation', version 11.0.10902000
configured using `configure  '--prefix=/usr' '--build=x86_64-pc-linux-gnu' '--host=x86_64-pc-linux-gnu' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--datadir=/usr/share' '--sysconfdir=/etc' '--localstatedir=/var/lib' '--libdir=/usr/lib64' '--program-suffix=-emacs-23' '--infodir=/usr/share/info/emacs-23' '--with-crt-dir=/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.2/../../../../lib64' '--with-gameuser=games' '--with-sound' '--with-x' '--without-gconf' '--without-toolkit-scroll-bars' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xpm' '--without-xft' '--without-libotf' '--without-m17n-flt' '--with-x-toolkit=gtk' '--without-hesiod' '--without-kerberos' '--without-kerberos5' '--with-gpm' '--with-dbus' 'build_alias=x86_64-pc-linux-gnu' 'host_alias=x86_64-pc-linux-gnu' 'CFLAGS=-march=athlon64 -O2 -pipe' 'LDFLAGS=-Wl,-O1 -Wl,--as-needed' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Shell

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<escape> x s h e l l <return> f i n d SPC . SPC - n 
a m e SPC t e s t <return> l s SPC - l SPC ` ! ! ` 
<tab> <return> l s SPC - l SPC $ ( SPC f i n d SPC 
SPC <backspace> . SPC - n a m e SPC t e s t S-SPC ) 
<return> ! ! <tab> <return> <escape> x r e p o <tab> 
r <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
History item: previous [2 times]
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort mail-extr message idna sendmail regexp-opt ecomplete rfc822
mml mml-sec password-cache mm-decode mm-bodies mm-encode mailcap
mail-parse rfc2231 rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader
gnus-util netrc time-date mm-util mail-prsvr gmm-utils wid-edit
mailheader canlock sha1 hex-util hashcash mail-utils emacsbug help-mode
easymenu view ansi-color shell comint ring tooltip ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image fringe
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mldrag mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev loaddefs button minibuffer faces cus-face files text-properties
overlay md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind gtk
x-toolkit x multi-tty emacs)

-- 
David Relson                   Osage Software Systems, Inc.
relson@HIDDEN       Ann Arbor, MI 48103
www.osagesoftware.com




Acknowledgement sent to relson@osage:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8027; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.